<?
   /*
   * Classe: Upload
   * Autor: Rafael vila
   * Data: 20/02/2004
   * Licena: 
   * Vantagens: Faz verifio de tipo, tamanho e existncia do arquivo
   */
   class Upload{
      
      //ATRIBUTOS
      var $arquivo;
      var $filtro;
      var $tamanho;
      var $dir_destino;
      var $erro;
     
      //MTODOS
      function seta_arquivo($arq){
         $this->arquivo=$arq;
      }
      
      function seta_filtro($filter){
          $this->filtro="$filter";
      }
     
      function seta_tamanho($tam){
          $this->tamanho=$tam;
      }
     
      function seta_dir_destino($dir){
          $this->dir_destino="$dir";
      }
      
      //Faz validao de tipo(por enquanto s imagem), tamanho e se o arquivo ja existe
      function valida(){
          $this->erro=0;
          // Verifica se o mime-type do arquivo  de imagem
	  if ($this->filtro=="IMAGEM"){
             if (!eregi("^image\/(pjpeg|jpg|png|gif|bmp)$", $this->arquivo["type"])) {
                $this->erro++;
                echo "Arquivo em formato invlido! A imagem deve ser jpg, jpeg, bmp, gif ou png. Envie outro arquivo";
             } 
	  }
          /*  ######### Aqui esto outras mime-types bem utilizadas, para utiliz-las basta descomentar.
	      ######### vou deixar IMAGEM como default
	  if ($this->filtro=="PNG"){
             if ($this->arquivo["type"] !== "image/png") { 
	        $this->erro++;
                echo "O arquivo enviado por voc no  uma imagem PNG! Envie outro!"; 
             }	     
	  }

	  if ($this->filtro=="JPG"){
             if ($this->arquivo["type"] !== "image/jpg") { 
	        $this->erro++;
                echo "O arquivo enviado por voc no  uma imagem JPG! Envie outro!"; 
             }	     
	  }

	  if ($this->filtro=="GIF"){
             if ($this->arquivo["type"] !== "image/gif") { 
	        $this->erro++;
                echo "O arquivo enviado por voc no  uma imagem GIF! Envie outro!"; 
             }	     
	  }

          if ($this->filtro=="DOC"){
             if ($this->arquivo["type"] !== "application/msword") { 
	        $this->erro++;
                echo "O arquivo enviado por voc no  um .DOC! Envie outro!"; 
             }	     
	  }

          if ($this->filtro=="PDF"){
             if ($this->arquivo["type"] !== "application/pdf") { 
	        $this->erro++;
                echo "O arquivo enviado por voc no  um .PDF! Envie outro!"; 
             }	     
	  }

          if ($this->filtro=="XLS"){
             if ($this->arquivo["type"] !== "application/vnd.ms-excel") { 
	        $this->erro++;
                echo "O arquivo enviado por voc no  um .XLS! Envie outro!"; 
             }	     
	  }

          if ($this->filtro=="PPT"){
             if ($this->arquivo["type"] !== "application/vnd.ms-powerpoint") { 
	        $this->erro++;
                echo "O arquivo enviado por voc no  um .PPT! Envie outro!"; 
             }	     
	  }

          if ($this->filtro=="PHP"){
             if ($this->arquivo["type"] !== "application/x-httpd-php") { 
	        $this->erro++;
                echo "O arquivo enviado por voc no  um arquivo PHP! Envie outro!"; 
             }	     
	  }

          if ($this->filtro=="PHPS"){
             if ($this->arquivo["type"] !== "application/x-httpd-php-source") { 
	        $this->erro++;
                echo "O arquivo enviado por voc no  um arquivo PHP source! Envie outro!"; 
             }	     
	  }

          if ($this->filtro=="JS"){
             if ($this->arquivo["type"] !== "application/x-javascript") { 
	        $this->erro++;
                echo "O arquivo enviado por voc no  um arquivo JavaScript! Envie outro!"; 
             }	     
	  }

          if ($this->filtro=="SWF"){
             if ($this->arquivo["type"] !== "application/x-shockwave-flash") { 
	        $this->erro++;
                echo "O arquivo enviado por voc no  um arquivo Flash(SWF)! Envie outro!"; 
             }	     
	  }

          if ($this->filtro=="XHTML"){
             if ($this->arquivo["type"] !== "application/xhtml+xml") { 
	        $this->erro++;
                echo "O arquivo enviado por voc no  um arquivo XHTML/XHT! Envie outro!"; 
             }	     
	  }

          if ($this->filtro=="XML"){
             if ($this->arquivo["type"] !== "application/xml") { 
	        $this->erro++;
                echo "O arquivo enviado por voc no  um arquivo XML/XSL! Envie outro!"; 
             }	     
	  }

          if ($this->filtro=="MIDI"){
             if ($this->arquivo["type"] !== "audio/midi") { 
	        $this->erro++;
                echo "O arquivo enviado por voc no  um arquivo MID/MIDI/KAR! Envie outro!"; 
             }	     
	  }

          if ($this->filtro=="MP3"){
             if ($this->arquivo["type"] !== "audio/mpeg") { 
	        $this->erro++;
                echo "O arquivo enviado por voc no  um arquivo MP3! Envie outro!"; 
             }	     
	  }

          if ($this->filtro=="WAV"){
             if ($this->arquivo["type"] !== "audio/x-wav") { 
	        $this->erro++;
                echo "O arquivo enviado por voc no  um arquivo WAV! Envie outro!"; 
             }	     
	  }

          if ($this->filtro=="CSS"){
             if ($this->arquivo["type"] !== "text/css") { 
	        $this->erro++;
                echo "O arquivo enviado por voc no  um arquivo CSS! Envie outro!"; 
             }	     
	  }

          if ($this->filtro=="HTML"){
             if ($this->arquivo["type"] !== "text/html") { 
	        $this->erro++;
                echo "O arquivo enviado por voc no  um arquivo HTML/HTM/SHTML! Envie outro!"; 
             }	     
	  }

          if ($this->filtro=="TXT"){
             if ($this->arquivo["type"] !== "text/plain") { 
	        $this->erro++;
                echo "O arquivo enviado por voc no  um arquivo TXT/ASC! Envie outro!"; 
             }	     
	  }

          if ($this->filtro=="RTF"){
             if ($this->arquivo["type"] !== "text/rtf") { 
	        $this->erro++;
                echo "O arquivo enviado por voc no  um arquivo RTF! Envie outro!"; 
             }	     
	  }

          if ($this->filtro=="MPEG"){
             if ($this->arquivo["type"] !== "video/mpeg") { 
	        $this->erro++;
                echo "O arquivo enviado por voc no  um arquivo MPEG/MPG/MPE! Envie outro!"; 
             }	     
	  }

          if ($this->filtro=="MOV"){
             if ($this->arquivo["type"] !== "video/quicktime") { 
	        $this->erro++;
                echo "O arquivo enviado por voc no  um arquivo MOV/QT! Envie outro!"; 
             }	     
	  }

          if ($this->filtro=="AVI"){
             if ($this->arquivo["type"] !== "video/x-msvideo") { 
	        $this->erro++;
                echo "O arquivo enviado por voc no  um arquivo AVI! Envie outro!"; 
             }	     
	  }
          */ 
	  //  Verificao de tamnho
          if ($this->arquivo['size']>$this->tamanho) {
             $this->erro++;
             echo "Tamanho mximo permitido  $this->tamanho.";
          }
          //  Verifica se o arquivo j existe
          if (file_exists($this->dir_destino.$this->arquivo['name'])) {
             $this->erro++;
             echo "Arquivo existente, favor renomear.";
          }
      }
      
      //Envia o arquivo para o servidor
      function envia(){
         if ($this->erro==0) {
           move_uploaded_file($this->arquivo['tmp_name'],$this->dir_destino.$this->arquivo['name']);
           echo "Arquivo enviado com sucesso.";
         }else{echo "Ococrreu um erro no envio do arquivo";}
      }
   }
?>

